## r-cran-pls 2.7

=== DESCRIPTION ===
Package: pls
Title: Partial Least Squares and Principal Component Regression
Version: 2.7-3
Date: 2020-08-04
Authors@R: c(person("Bjørn-Helge", "Mevik", role = c("aut", "cre"),
                     email = "b-h@mevik.net"),
              person("Ron", "Wehrens", role = "aut"),
              person("Kristian Hovde", "Liland", role = "aut"),
	      person("Paul",  "Hiemstra", role = "ctb"))
Author: Bjørn-Helge Mevik [aut, cre],
  Ron Wehrens [aut],
  Kristian Hovde Liland [aut],
  Paul Hiemstra [ctb]
Maintainer: Bjørn-Helge Mevik <b-h@mevik.net>
Encoding: UTF-8
LazyData: yes
Description: Multivariate regression methods
	Partial Least Squares Regression (PLSR), Principal Component
	Regression (PCR) and Canonical Powered Partial Least Squares (CPPLS).
Depends: R (>= 2.10)
Imports: grDevices, graphics, methods, stats
Suggests: MASS, parallel, Rmpi, testthat, RUnit
License: GPL-2
URL: https://mevik.net/work/software/pls.html,
        https://github.com/bhmevik/pls
BugReports: https://github.com/bhmevik/pls/issues
NeedsCompilation: no
Packaged: 2020-08-04 20:06:07 UTC; bhm
Repository: CRAN
Date/Publication: 2020-08-07 09:10:05 UTC

## r-cran-pls 2.7-0

=== debian/changelog ===
r-cran-pls (2.7-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 10 Sep 2018 09:00:44 +0200

r-cran-pls (2.6-0-1) unstable; urgency=medium

  * Initial release (closes: #901724)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 15:50:09 +0200

=== debian/control ===
Source: r-cran-pls
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
Homepage: https://cran.r-project.org/package=pls

Package: r-cran-pls
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R partial least squares and principal component regression
 This GNU R package provides functions for multivariate regression methods
 Partial Least Squares Regression (PLSR), Principal Component
 Regression (PCR) and Canonical Powered Partial Least Squares (CPPLS).

## r-cran-pls 2.7-1

=== debian/changelog ===
r-cran-pls (2.7-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 11:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
 Homepage: https://cran.r-project.org/package=pls

## r-cran-pls 2.7-2

=== debian/changelog ===
r-cran-pls (2.7-2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:20:34 +0000

r-cran-pls (2.7-2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 09:04:15 +0200

r-cran-pls (2.7-2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 11:25:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
 Homepage: https://cran.r-project.org/package=pls
+Rules-Requires-Root: no
 
 Package: r-cran-pls
 Architecture: all

## r-cran-pls 2.7-3

=== debian/changelog ===
r-cran-pls (2.7-3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 16:25:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-cran-pls 2.8

=== DESCRIPTION ===
Package: pls
Title: Partial Least Squares and Principal Component Regression
Version: 2.8-2
Date: 2023-05-19
Authors@R: c(person("Kristian Hovde", "Liland", role = c("aut", "cre"),
                    email = "kristian.liland@nmbu.no"),
	     person("Bjørn-Helge", "Mevik", role = "aut" ,
                    email = "b-h@mevik.net"),
             person("Ron", "Wehrens", role = "aut"),
             person("Paul",  "Hiemstra", role = "ctb"))
Author: Kristian Hovde Liland [aut, cre],
  Bjørn-Helge Mevik [aut],
  Ron Wehrens [aut],
  Paul Hiemstra [ctb]
Maintainer: Kristian Hovde Liland <kristian.liland@nmbu.no>
Encoding: UTF-8
LazyData: yes
Description: Multivariate regression methods
	Partial Least Squares Regression (PLSR), Principal Component
	Regression (PCR) and Canonical Powered Partial Least Squares (CPPLS).
Depends: R (>= 3.5.0)
Imports: grDevices, graphics, methods, stats
Suggests: MASS, parallel, Rmpi, testthat, RUnit
License: GPL-2
URL: https://github.com/khliland/pls
BugReports: https://github.com/khliland/pls/issues
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-05-19 06:32:20 UTC; kristian
Repository: CRAN
Date/Publication: 2023-05-19 07:10:02 UTC

## r-cran-pls 2.8-0

=== debian/changelog ===
r-cran-pls (2.8-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 16:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
 Homepage: https://cran.r-project.org/package=pls

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pls_([-\d.]*)\.tar\.gz

## r-cran-pls 2.8-1

=== debian/changelog ===
r-cran-pls (2.8-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 16:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-pls
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
+Homepage: https://cran.r-project.org/package=pls
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
-Homepage: https://cran.r-project.org/package=pls
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pls
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-runit,
Restrictions: allow-stderr

## r-cran-pls 2.8-2

=== debian/changelog ===
r-cran-pls (2.8-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 13:47:56 +0200

## r-cran-pls 2.8-3

=== debian/changelog ===
r-cran-pls (2.8-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2023 07:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
 Homepage: https://cran.r-project.org/package=pls
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-pls 2.8-5

=== debian/changelog ===
r-cran-pls (2.8-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 09:14:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pls.git
 Homepage: https://cran.r-project.org/package=pls
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
        r-cran-rmpi,
        r-cran-testthat,
        r-cran-runit
Restrictions: allow-stderr
